call.libraries <-
function(packages, verbose=0){
    ## ## Calls the packages after installing them if necessary:
    ## packages: A character vector of the packages names.
    print("Calling libraries....")
    ## All packages, even those on CRAN, can be installed using BiocManager:
    if (!requireNamespace("BiocManager", quietly = TRUE))
        install.packages("BiocManager")

    ## Install and call them one by one:
    for(p1 in packages){
        if(verbose)
            print(p1)
        if(!require(p1, character.only=TRUE)){
            BiocManager::install(p1)
            library(p1, character.only=TRUE)
        }
    }
}
