make.package <-
function(name, functionS, packageData=NULL, descriptionFile=NULL, namespaceFile=NULL){
    ## Habil converted Shiva's ~/proj/dementia/code/senescence/Shiva/packing.R
    ## script to this function to facilitate making R packages.
    ##2021-04-28.

    result <- list()
    print(paste( "Making the", name, "package..."))
    result[["name"]] <- name
    unlink(name, recursive=TRUE)
    ## create the skeleton
    package.skeleton(name=name, list=c(functionS, packageData))
    ## Remove manual templates
    unlink(file.path(name, "man"), recursive=TRUE)
    ## Copy the description
    if(!is.null(descriptionFile)){
        file.copy(from=descriptionFile, to=file.path(name, "DESCRIPTION"), overwrite=TRUE)
    }
    ## Copy the name space
    if(!is.null(namespaceFile)){
        file.copy(from=namespaceFile, to=file.path(name, "NAMESPACE"), overwrite=TRUE)
    } else {
        writeLines(con=file.path(name, "NAMESPACE"), text='exportPattern("^[[:alpha:]]+")')
    }
    version1 <-
        system(paste0("sed -n 's/^Version: *//p' ", name, "/DESCRIPTION"),
               intern=TRUE)
    result[["packageVersion"]] <- version1
    print(paste("Building", name, "version:", version1))
    system(paste("R CMD build", name))
    tarball <- paste0(name,"_", version1,".tar.gz")
    print(paste("The tarball is:", tarball))
    remove.packages(pkgs=name)
    
    ## Cleaning
    unlink(name, recursive=TRUE)
    install.packages(pkgs=tarball)
    
    ## End time:
    print(paste("Packing", name, "finished at:"))
    print(Sys.time())
    return(result)
}
